Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
sam8xd

[Hỏi]Chọn đối Tượng Pline Sau Khi Break

Các bài được khuyến nghị

ketxu    2.653

sam8xd đọc bài trên của mình chưa :o Nếu bạn không dùng mẹo thì có thể sử dụng các phương thức ssget c,cp qua các điểm, đỉnh Pline (cách này có hơi mạo hiểm)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
sam8xd    8

tạo 1 point ở đâu đó rồi lấy elast

Đã hiểu :lol: cảm ơn anh.

Phương thức (ssget "PO" point) (ssget "O" ptlist) nó có trong cad nào không nhỉ. Dùng C, CP mạo hiểm lắm.

http://www.kxcad.net/progesoft/ProgeSOFT_IntelliCAD_Developer_Reference/idr_lisp_b273.htm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quac    0

Xin mọi người giúp tạo lisp cop dãy text được ko ạ, mình đã tìm trong diễn đàn nhưng chỉ có copy nội dung 1 text ra nhiều text chứ không tìm thấy lisp copy nội dung dãy tẽt này sang dãy text khác:
 

Bài toán: Có 2 dãy số A B C D và K X Y Z

Yêu cầu: Quét chọn dãy số A B C D sau đó quét chọn dãy K X Y Z thì sẽ được 2 dãy A B C D

 

Mục đích là do dãy A B C D xếp lung tung, muốn cho vào bảng có form sẵn.

 

Trân trọng cảm ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

rảnh rỗi sinh nông nổi nên làm liều cho bạn ! :D :D :D

;lisp copy noi dung tung text nhom nay sang nhom khac
(defun c:TEST( / ss ss1 i ct)
(prompt "\nChon cac text can copy noi dung !")
(setq ss (ssget '((0 . "TEXT,MTEXT"))))
(prompt "\nChon cac text can paste noi dung !")
(setq ss1 (ssget '((0 . "TEXT,MTEXT")))
	  i 0)
(while (and ss ss1 (<= (sslength ss) (sslength ss1)) (< i (sslength ss)))
	(setq ct (assoc 1 (entget (ssname ss i))))
	(entmod (subst ct (assoc 1 (setq info (entget (ssname ss1 i)))) info))
	(setq i (1+ i))
)
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

 

rảnh rỗi sinh nông nổi nên làm liều cho bạn ! :D :D :D

;lisp copy noi dung tung text nhom nay sang nhom khac
(defun c:TEST( / ss ss1 i ct)
(prompt "\nChon cac text can copy noi dung !")
(setq ss (ssget '((0 . "TEXT,MTEXT"))))
(prompt "\nChon cac text can paste noi dung !")
(setq ss1 (ssget '((0 . "TEXT,MTEXT")))
	  i 0)
(while (and ss ss1 (<= (sslength ss) (sslength ss1)) (< i (sslength ss)))
	(setq ct (assoc 1 (entget (ssname ss i))))
	(entmod (subst ct (assoc 1 (setq info (entget (ssname ss1 i)))) info))
	(setq i (1+ i))
)
(princ)
)

Hề hề hề,

Bác hieptr ơi, có nhẽ nên check cả số lượng các đối tượng trong tập ss và tập ss1 phải bằng nhau nữa bác ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

Hề hề hề,

Bác hieptr ơi, có nhẽ nên check cả số lượng các đối tượng trong tập ss và tập ss1 phải bằng nhau nữa bác ạ.

ý đồ của mình là nếu số lượng các đối tượng trong ss1 nhiều hơn ss thì chỉ sửa các đối tượng đầu, các "chú phía sau" giữ nguyên

p/s:

để lisp làm việc tốt thì cần thủ thuật chọn đối tượng tốt, VD: pick chọn lần lượt hoặc tùy chọn F ...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×